
"""Check cookies .

This script checks cookies of a list member. 

This script is intended to be run as a bin/withlist script, i.e.
Without any options, it shows members whose deliver is disabled.

% bin/withlist -r check_cookie listname

Written by Xueshan Feng <sfeng@stanford.edu>

"""

import sys
import getopt

import paths
from Mailman import Utils
from Mailman import MemberAdaptor
from Mailman import mm_cfg
from Mailman.i18n import _

def check_cookie(mlist):
    ok = mlist.CheckCookie(mm_cfg.AuthUser) 
    if ok:
        sys.exit(0)
    sys.exit(1)


if __name__ == '__main__':
    usage(0)
